#include "IRremote.h"

long int res_val;

// Numéro du pin sortie du récepteur 
const int receiver = 11; 

// Sortie Activation du sens de rotation du moteur 
const int Sens1 = 2;
const int Sens2 = 3; 

// Déclation d'un objet IRrecv
IRrecv irrecv(receiver);           
decode_results results;            

void setup()  
{
  // Init du récepteur 
  irrecv.enableIRIn();
  
  // Pins sens 1 & 2 
  pinMode(Sens1, OUTPUT);
  pinMode(Sens2, OUTPUT);
  
  // Initialisation 
  digitalWrite(Sens1, LOW);
  digitalWrite(Sens2, LOW);
}

void loop()  
{
  // Lecture de la télécommande 
  if (irrecv.decode(&results))
  {
    // Récupération du code   
    res_val = results.value;
    
    // Application d'un mode de démarrage du moteur
    MotorMode(res_val);
     
    // Réception de la nouvelle valeur
    irrecv.resume();
  }  
}

void MotorMode(long int res_val) 
{
  switch(res_val)
  {
    // Mode 1: Sens 1 
    case 0xFF30CF: // Code '1'   

      // Rotation Sens 1
      digitalWrite(Sens1, HIGH);
      digitalWrite(Sens2, LOW); 
      delay(2000); 

      // Init 
      digitalWrite(Sens1, LOW);
      digitalWrite(Sens2, LOW); 
      
      break;
  
    // Mode 2: Sens 2 
    case 0xFF18E7: // Code '2'    
      
      // Rotation Sens 2 
      digitalWrite(Sens1, LOW);
      digitalWrite(Sens2, HIGH); 
      delay(2000); 

      // Init 
      digitalWrite(Sens1, LOW);
      digitalWrite(Sens2, LOW); 
      break;
      
    // Autres 
    default: 
      digitalWrite(Sens1, LOW);
      digitalWrite(Sens2, LOW);
  }
}
